import 'package:wowit/methods.dart';

class BaseModel {
  final Map<String, Object> data;
  int get id => _id;
  bool get visible => _isVisible;
  bool get visibleHome => _isHome;
  bool get visibleHightLight => _isHightLight;
  bool get visibleHOT => _isHOT;
  double get Priority => _priority;
  int _id = -1;
  bool _isVisible = false;
  bool _isHome= false;
  bool _isHightLight= false;
  bool _isHOT= false;
  double _priority = -1;

  BaseModel(this.data) {
    if(this.data !=null && this.data.length > 0)
      {
        this._id = Methods.getInt(data, 'ID');
        this._isVisible = Methods.getBool(data, 'visible');
        this._isHome = Methods.getBool(data, 'visibleHome');
        this._isHightLight = Methods.getBool(data, 'visibleHightlight');
        this._isHOT = Methods.getBool(data, 'visibleHOT');
        this._priority = Methods.getDouble(data, 'priority');
      }

  }
}
